Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Error in starting eclipse
Error in starting eclipse [message #1008660] Wed, 13 February 2013 08:27 Go to next message
Chaitanya R is currently offline Chaitanya R
Messages: 4
Registered: February 2013
Junior Member
I was using eclipse with Java 1.7 but today I have uninstalled JRE1.7 and installed JRE1.6 in my machine to solve some issue. After that when I am starting eclipse I am getting below error in alert box:
---------------------------------------------------------
Java Virtual Machine Launcher

Error: Registry key 'Software\JavaSoft\Java Runtime Environment'\CurrentVersion' has value '1.6', but '1.7' is required.

Could not find java.dll


---------------------------------------------------------

Please help how to solve this issue, Thanks in advance.
Re: Error in starting eclipse [message #1008908 is a reply to message #1008660] Thu, 14 February 2013 00:24 Go to previous messageGo to next message
Ed Merks is currently offline Ed Merks
Messages: 26014
Registered: July 2009
Senior Member
You can tell eclipse which JRE to use in the eclipse.ini. If you've
installed bundles that require 1.7 in your IDE you will need a 1.7 JRE
to run the IDE itself.


On 13/02/2013 8:22 PM, Chaitanya R wrote:
> I was using eclipse with Java 1.7 but today I have uninstalled JRE1.7
> and installed JRE1.6 in my machine to solve some issue. After that
> when I am starting eclipse I am getting below error in alert box:
> ---------------------------------------------------------
> Java Virtual Machine Launcher
>
> Error: Registry key 'Software\JavaSoft\Java Runtime
> Environment'\CurrentVersion' has value '1.6', but '1.7' is required.
>
> Could not find java.dll
>
>
> ---------------------------------------------------------
>
> Please help how to solve this issue, Thanks in advance.
Re: Error in starting eclipse [message #1008931 is a reply to message #1008660] Thu, 14 February 2013 02:03 Go to previous message
Chaitanya R is currently offline Chaitanya R
Messages: 4
Registered: February 2013
Junior Member
Thanks a lot Ed Merks.

I have added below lines to my eclipse.ini file and it started working fine now.
----------------------------------
-vm
C:\Java\jdk1.6.0_35\bin\javaw.exe
----------------------------------
Previous Topic:Marketplace feature Cannot satisfy dependency:
Next Topic:Runs fast inside Eclipse, slow as runnable JAR
Goto Forum:
  


Current Time: Tue Sep 02 02:50:40 EDT 2014

Powered by FUDForum. Page generated in 0.02299 seconds